## UIM Depersonalization request UIM Depersonalization request |

## Functions

QmiMessageUimDepersonalizationInput * | qmi_message_uim_depersonalization_input_new ()
QmiMessageUimDepersonalizationInput * | qmi_message_uim_depersonalization_input_ref ()
void | qmi_message_uim_depersonalization_input_unref ()
gboolean | qmi_message_uim_depersonalization_input_get_slot ()
gboolean | qmi_message_uim_depersonalization_input_set_slot ()
gboolean | qmi_message_uim_depersonalization_input_get_info ()
gboolean | qmi_message_uim_depersonalization_input_set_info ()
QmiMessageUimDepersonalizationOutput * | qmi_message_uim_depersonalization_output_ref ()
void | qmi_message_uim_depersonalization_output_unref ()
gboolean | qmi_message_uim_depersonalization_output_get_result ()
gboolean | qmi_message_uim_depersonalization_output_get_retries_remaining ()
void | qmi_client_uim_depersonalization ()
QmiMessageUimDepersonalizationOutput * | qmi_client_uim_depersonalization_finish ()

## Types and Values

| QmiMessageUimDepersonalizationInput
| QmiMessageUimDepersonalizationOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageUimDepersonalizationInput
        ╰── QmiMessageUimDepersonalizationOutput

## Description

## Functions

### qmi_message_uim_depersonalization_input_new ()

    QmiMessageUimDepersonalizationInput *
    qmi_message_uim_depersonalization_input_new
                                   (void);

Allocates a new QmiMessageUimDepersonalizationInput.

#### Returns

the newly created QmiMessageUimDepersonalizationInput. The returned value should be freed with `qmi_message_uim_depersonalization_input_unref()`.

Since: 1.30

### qmi_message_uim_depersonalization_input_ref ()

    QmiMessageUimDepersonalizationInput *
    qmi_message_uim_depersonalization_input_ref
                                   (QmiMessageUimDepersonalizationInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimDepersonalizationInput. |

#### Returns

the new reference to `self` .

Since: 1.30

### qmi_message_uim_depersonalization_input_unref ()

    void
    qmi_message_uim_depersonalization_input_unref
                                   (QmiMessageUimDepersonalizationInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimDepersonalizationInput. |

Since: 1.30

### qmi_message_uim_depersonalization_input_get_slot ()

    gboolean
    qmi_message_uim_depersonalization_input_get_slot
                                   (QmiMessageUimDepersonalizationInput *self,
                                    guint8 *value_slot,
                                    GError **error);

Get the 'Slot' field from `self` .

#### Parameters

self | a QmiMessageUimDepersonalizationInput. |
value_slot | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_message_uim_depersonalization_input_set_slot ()

    gboolean
    qmi_message_uim_depersonalization_input_set_slot
                                   (QmiMessageUimDepersonalizationInput *self,
                                    guint8 value_slot,
                                    GError **error);

Set the 'Slot' field in the message.

#### Parameters

self | a QmiMessageUimDepersonalizationInput. |
value_slot | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_message_uim_depersonalization_input_get_info ()

    gboolean
    qmi_message_uim_depersonalization_input_get_info
                                   (QmiMessageUimDepersonalizationInput *self,
                                    QmiUimCardApplicationPersonalizationFeature *value_info_feature,
                                    QmiUimDepersonalizationOperation *value_info_operation,
                                    const gchar **value_info_control_key,
                                    GError **error);

Get the 'Info' field from `self` .

#### Parameters

self | a QmiMessageUimDepersonalizationInput. |
value_info_feature | a placeholder for the output QmiUimCardApplicationPersonalizationFeature, or `NULL` if not required. | [out][optional]
value_info_operation | a placeholder for the output QmiUimDepersonalizationOperation, or `NULL` if not required. | [out][optional]
value_info_control_key | a placeholder for the output constant string, or `NULL` if not required. | [out][optional][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_message_uim_depersonalization_input_set_info ()

    gboolean
    qmi_message_uim_depersonalization_input_set_info
                                   (QmiMessageUimDepersonalizationInput *self,
                                    QmiUimCardApplicationPersonalizationFeature value_info_feature,
                                    QmiUimDepersonalizationOperation value_info_operation,
                                    const gchar *value_info_control_key,
                                    GError **error);

Set the 'Info' field in the message.

#### Parameters

self | a QmiMessageUimDepersonalizationInput. |
value_info_feature | a QmiUimCardApplicationPersonalizationFeature. |
value_info_operation | a QmiUimDepersonalizationOperation. |
value_info_control_key | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_message_uim_depersonalization_output_ref ()

    QmiMessageUimDepersonalizationOutput *
    qmi_message_uim_depersonalization_output_ref
                                   (QmiMessageUimDepersonalizationOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimDepersonalizationOutput. |

#### Returns

the new reference to `self` .

Since: 1.30

### qmi_message_uim_depersonalization_output_unref ()

    void
    qmi_message_uim_depersonalization_output_unref
                                   (QmiMessageUimDepersonalizationOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimDepersonalizationOutput. |

Since: 1.30

### qmi_message_uim_depersonalization_output_get_result ()

    gboolean
    qmi_message_uim_depersonalization_output_get_result
                                   (QmiMessageUimDepersonalizationOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageUimDepersonalizationOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.30

### qmi_message_uim_depersonalization_output_get_retries_remaining ()

    gboolean
    qmi_message_uim_depersonalization_output_get_retries_remaining
                                   (QmiMessageUimDepersonalizationOutput *self,
                                    guint8 *value_retries_remaining_verify_left,
                                    guint8 *value_retries_remaining_unblock_left,
                                    GError **error);

Get the 'Retries Remaining' field from `self` .

#### Parameters

self | a QmiMessageUimDepersonalizationOutput. |
value_retries_remaining_verify_left | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_retries_remaining_unblock_left | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_client_uim_depersonalization ()

    void
    qmi_client_uim_depersonalization (QmiClientUim *self,
                                      QmiMessageUimDepersonalizationInput *input,
                                      guint timeout,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

Asynchronously sends a Depersonalization request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_uim_depersonalization_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientUim. |
input | a QmiMessageUimDepersonalizationInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.30

### qmi_client_uim_depersonalization_finish ()

    QmiMessageUimDepersonalizationOutput *
    qmi_client_uim_depersonalization_finish
                                   (QmiClientUim *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_uim_depersonalization()`.

#### Parameters

self | a QmiClientUim. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_uim_depersonalization()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageUimDepersonalizationOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_uim_depersonalization_output_unref()`.

Since: 1.30

## Types and Values

### QmiMessageUimDepersonalizationInput

    typedef struct _QmiMessageUimDepersonalizationInput QmiMessageUimDepersonalizationInput;

The QmiMessageUimDepersonalizationInput structure contains private data and should only be accessed using the provided API.

Since: 1.30

### QmiMessageUimDepersonalizationOutput

    typedef struct _QmiMessageUimDepersonalizationOutput QmiMessageUimDepersonalizationOutput;

The QmiMessageUimDepersonalizationOutput structure contains private data and should only be accessed using the provided API.

Since: 1.30